## java-common 0.38

=== debian/changelog ===
java-common (0.38) unstable; urgency=low

  * Updated the description of gcj-native-helper and also the
    previous changelog entry to clarify that gcj-native-helper
    is only a partial replacement for default-jdk-builddep.
    
    Please see README.gcj-native-transition in the java-common
    package for more information on the transition.
  * Added missing Replaces/Conflicts for gcj-native-helper.
  * Bumped Standards-Versions to 3.9.0 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Thu, 01 Jul 2010 00:11:38 +0200

java-common (0.37) unstable; urgency=low

  * Updated and synced the Java FAQ.
    - contains a example of how to link with system javadocs.
    (Closes: #577164)
  * Renamed default-jdk-builddep to gcj-native-helper.
    - Note gcj-native-helper is only a partial replacement for
      default-jdk-builddep
  * Removed useless install files and moved the override files
    to a location where dh_lintian finds them.
  * Removed some unused overrides.
  * Updated current list of maintainers in d/copyright
    (based on current list of Uploaders).

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Jun 2010 00:07:15 +0200

java-common (0.36) unstable; urgency=low

  * Correct a ${jdk} that should have been a ${jre} in the decription
    of default-jre. Thanks to Yoshino Yoshihito for spotting it.
    (Closes: #576632)
  * Removed Stefan Gybas from Uploaders (no upload since 2003); thanks
    for your work.
  * Applied patch from Thierry Basque that fixes the --list
    argument for update-java-alternatives. (Closes: #563070)
  * Updated the off-line copy of the Debian Java FAQ.
  * Added sh4 to the list of architectures that support openjdk-6.
    (Closes: #577482)
  * Removed useless commands from debian/rules and removed B-D on
    dpsyco-devel.
  * Policy Changes:
    - Removed section "Java Compilers".
    - Retired the virtual packages java-virtual-machine, java-compiler
      and java2-compiler
    - Relax program installation locations (Closes: #395372)
    - Specified installation location for private program jars.
    - Removed mention of binfmt_misc in favor of jarwrapper.
      (Closes: #227594)

 -- Niels Thykier <niels@thykier.net>  Mon, 19 Apr 2010 09:05:16 +0200

java-common (0.35) unstable; urgency=low

  * Added myself to Uploaders.
  * Added myself to the list of Authors of the Java Policy.
  * Integrated adapted parts of the FOSDEM06 proposal into the Java
    Policy.
    - Java libraries are no longer required to depend on a JVM
    (Closes: #227587, #505166)
  * Updated to java-faq to match the online version.
  * Bumped debhelper compat to 7.
    - Added missing ${misc:Depends}
  * Use the version from the changelog rather than the dir to determine
    the debian "revision" of the default-* packages. It is more robust.
  * Removed old publish rule - the policy is updated automatically after
    upload now.
  * Updated the rules to update the java faq.
  * Converted source to 3.0 (native).
  * Bumped Standards-Version to 3.8.4 - no changes required.
  * Set DM-Upload-Allowed.
  * Removed self suggest in default-jre.
  * Fixed a spelling mistake in README.Debian.
  * Removed Arnaud Vandyck from Uploaders - Thanks for your work on this
    package.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Apr 2010 18:01:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

, = ,
S = $(EMPTY) $(EMPTY)
mk_cslist = $(subst $(S),$(,)$(S),$(foreach v,$(1),$(v)-$(2)))
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
jrel = $(shell dpkg-parsechangelog | grep -E ^Version: | sed "s/Version: 0.//")

DPKG_VARS := $(shell dpkg-architecture)
DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)

p_jre		= gcj-jre
p_jhl		= gcj-jre-headless
p_jdk		= gcj-jdk
jdk_build_dep	=
v_jre		=
v_jdk		= $(v_jre)
provides	= java java2 java5
dversion	= 1.5-$(jrel)
jvmdir		= java-gcj

ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mips mipsel powerpc s390 sparc sh4))
  p_jre		= openjdk-6-jre
  p_jhl		= openjdk-6-jre-headless
  p_jdk		= openjdk-6-jdk
  jdk_build_dep	= gcj-jdk
  v_jre		= $(S)(>= 6b14)
  v_jdk		= $(v_jre)
  provides	= java java2 java5 java6
  dversion	= 1.6-$(jrel)
  jvmdir	= java-6-openjdk
endif

p_doc		= openjdk-6-doc

jre_provides	= $(call mk_cslist,$(provides),runtime)
jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
jdk_provides	= $(call mk_cslist,$(provides),sdk)

build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) clean

	dh_clean

install-indep: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	dh_installdocs -i
	$(MAKE) install DESTDIR=$(CURDIR)/debian/java-common

	touch install-stamp

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a


binary-arch: install-arch
ifneq (,$(p_jre))
	dh_testdir -a
	dh_testroot -a
	dh_install -a
	dh_installdocs -pdefault-jre-headless
	dh_installchangelogs -pdefault-jre-headless
	dh_link -pdefault-jre-headless \
		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
	for p in default-jre-headless default-jre default-jdk gcj-native-helper; do \
	  [ -z "$$t" ] && t=$$p && continue; \
	  mkdir -p debian/$$p/usr/share/doc; \
	  ln -sf $$t debian/$$p/usr/share/doc/$$p; \
	  t=$$p; \
	done
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a -- \
		-v$(dversion) \
		'-Vjre=$(p_jre)' \
		'-Vjhl=$(p_jhl)' \
		'-Vjdk=$(p_jdk)' \
		'-Vjdk:builddep=$(jdk_build_dep)' \
		'-Vjre:arch=$(DEB_HOST_ARCH)' \
		'-Vjre:version=$(v_jre)' \
		'-Vjdk:version=$(v_jdk)' \
		'-Vjre:provides=$(jre_provides)' \
		'-Vjhl:provides=$(jhl_provides)' \
		'-Vjdk:provides=$(jdk_provides)' \

	dh_md5sums -a
	dh_builddeb -a
endif

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_install -i
	mkdir -p debian/default-jdk-doc/usr/share/doc/default-jre-headless
	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jre-headless/api
	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jdk-doc/api
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i -- \
		'-Vdoc=$(p_doc)' \
		'-Vjdk=$(p_jdk)'
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## java-common 0.40

=== debian/changelog ===
java-common (0.40) unstable; urgency=medium

  [ Niels Thykier ]
  * Make openjdk-6 default on powerpcspe (Closes: #593627).
    - Thanks to Sebastian Andrzej Siewior.

  [ Torsten Werner ]
  * Add an epoch to the arch any packages because we downgrade them from 1.6-*
    to 1.5-* on mips.
    - This fixes the last upload on this architecture.
    - Set urgency to medium.

 -- Torsten Werner <twerner@debian.org>  Mon, 23 Aug 2010 22:01:54 +0200

java-common (0.39) unstable; urgency=low

  * Change default-jdk/jre(-headless) back to gcj on the mips architecture
    because openjdk FTBFS there.

 -- Torsten Werner <twerner@debian.org>  Mon, 09 Aug 2010 21:43:52 +0200

=== debian/control ===
Source: java-common
Section: java
Priority: optional
Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
 Niels Thykier <niels@thykier.net>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
Standards-Version: 3.9.0
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/

Package: java-common
Architecture: all
Depends: ${misc:Depends}
Suggests: default-jre, equivs
Description: Base of all Java packages
 This package must be installed in the system if a Java environment
 is desired. It covers useful information for Java users in
 Debian GNU/Linux, including:
  * The Java policy document which describes the layout of Java support in
    Debian and how Java packages should behave.
  * The Debian-Java-FAQ which provides information on the status of
    Java support in Debian, available compilers, virtual machines, Java
    programs and libraries as well as on legal issues.
  * Information on how to create dummy packages to fulfill java2
    requirements.

Package: default-jre
Architecture: any
Depends: default-jre-headless (= ${binary:Version}), ${jre}${jre:version},
 ${misc:Depends}
Provides: ${jre:provides}
Description: Standard Java or Java compatible Runtime
 This package points to the Java runtime, or Java compatible
 runtime recommended for the ${jre:arch} architecture,
 which is ${jre} for ${jre:arch}.

Package: default-jre-headless
Architecture: any
Depends: ${jhl}${jre:version}, java-common, ${misc:Depends}
Suggests: default-jre
Provides: ${jhl:provides}
Description: Standard Java or Java compatible Runtime (headless)
 This package points to the Java runtime, or Java compatible
 runtime recommended for this architecture, which is
 ${jhl} for ${jre:arch}.
 .
 The package is used as dependency for packages not needing a
 graphical display during runtime.

Package: default-jdk
Architecture: any
Depends: default-jre (= ${binary:Version}), ${jdk}${jdk:version},
 ${misc:Depends}
Provides: ${jdk:provides}
Description: Standard Java or Java compatible Development Kit
 This package points to the Java runtime, or Java compatible
 development kit recommended for this architecture, which is
 ${jdk} for ${jre:arch}.

Package: default-jdk-doc
Architecture: all
Section: doc
Depends: ${doc}, ${misc:Depends}
Suggests: default-jdk
Description: Standard Java or Java compatible Development Kit (documentation)
 This package points to the documentation for the Java development kit,
 or Java compatible development kit recommended for Debian, which is
 ${doc}.

Package: gcj-native-helper
Architecture: any
Depends: default-jdk (= ${binary:Version}), ${jdk:builddep}, ${misc:Depends}
Provides: default-jdk-builddep
Conflicts: default-jdk-builddep
Replaces: default-jdk-builddep
Description: Standard helper tools for creating gcj native packages
 This package points to the build dependencies used to build
 gcj native packages.
 .
 Unlike default-jdk-builddep, this package only provides the
 helpers to compile jar/class files into native code and not
 a Java Development Kit (JDK). You do not need this package
 unless you are compiling jar/class files to native code.
 .
 Note: During the transition from default-jdk-builddep to
 gcj-native-helper, this package will also depend on
 default-jdk to avoid breakage.

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,10 @@
 v_jre		=
 v_jdk		= $(v_jre)
 provides	= java java2 java5
-dversion	= 1.5-$(jrel)
+dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mips mipsel powerpc s390 sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe s390 sparc sh4))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
@@ -33,7 +33,7 @@
   v_jre		= $(S)(>= 6b14)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
-  dversion	= 1.6-$(jrel)
+  dversion	= 1:1.6-$(jrel)
   jvmdir	= java-6-openjdk
 endif

## java-common 0.40ubuntu1

=== debian/changelog ===
java-common (0.40ubuntu1) natty; urgency=low

  * Default to OpenJDK on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Nov 2010 16:24:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe s390 sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe ppc64 s390 sparc sh4))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk

## java-common 0.42ubuntu2

=== debian/changelog ===
java-common (0.42ubuntu2) oneiric; urgency=low

  * Fix the deault java symlink.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2011 13:50:31 +0200

java-common (0.42ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Default to OpenJDK on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Aug 2011 23:51:22 +0200

java-common (0.42) unstable; urgency=low

  * Set jvmdir to java-1.6.0-openjdk for the openjdk-6 default.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Aug 2011 14:21:43 +0200

java-common (0.41) unstable; urgency=low

  * Bumped Standards-Versions to 3.9.1 - no changes required.
  * Removed DMUA  - no longer required.

  [ Sylvestre Ledru ]
  * Under mips, openjdk should be proposed instead of gcj (Closes: #631140)
    Revert of the change introduced in version 0.39
  * Remove outdated information about java in Squeeze (Closes: #617803)

  [ Matthias Klose ]
  * Default to openjdk-6 on s390x. Closes: #638361.
  * Default to openjdk-6 on armhf.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Aug 2011 13:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.0
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mipsel powerpc powerpcspe ppc64 s390 sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
@@ -35,6 +35,7 @@
   provides	= java java2 java5 java6
   dversion	= 1:1.6-$(jrel)
   jvmdir	= java-6-openjdk
+  #jvmdir	= java-1.6.0-openjdk
 endif
 
 p_doc		= openjdk-6-doc

## java-common 0.43ubuntu2

=== debian/changelog ===
java-common (0.43ubuntu2) precise; urgency=low

  * java-common: Mark it as Multi-Arch: foreign.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Dec 2011 14:30:11 +0100

java-common (0.43ubuntu1) precise; urgency=low

  * Keep old jvm symlinks in the openjdk-6-jre-headless package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Oct 2011 09:51:33 +0200

java-common (0.43) unstable; urgency=low

  * Depend on the multiarch aware openjdk-6-jre-headless.
  * Default to openjdk-6 on ppc64.
  * update-java-alternatives: Substitute <jname> with <jname>-<arch>.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Aug 2011 18:08:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 DPKG_VARS := $(shell dpkg-architecture)
 DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
 
 p_jre		= gcj-jre
 p_jhl		= gcj-jre-headless
@@ -30,12 +31,11 @@
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b14)
+  v_jre		= $(S)(>= 6b23~pre11-1ubuntu1~)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
   dversion	= 1:1.6-$(jrel)
-  jvmdir	= java-6-openjdk
-  #jvmdir	= java-1.6.0-openjdk
+  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 endif
 
 p_doc		= openjdk-6-doc
@@ -86,6 +86,11 @@
 	dh_installchangelogs -pdefault-jre-headless
 	dh_link -pdefault-jre-headless \
 		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
+ifneq (,$(DEB_HOST_MULTIARCH))
+	dh_link -pdefault-jre-headless \
+		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-6-openjdk \
+		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-1.6.0-openjdk
+endif
 	for p in default-jre-headless default-jre default-jdk gcj-native-helper; do \
 	  [ -z "$$t" ] && t=$$p && continue; \
 	  mkdir -p debian/$$p/usr/share/doc; \

## java-common 0.43ubuntu3

=== debian/changelog ===
java-common (0.43ubuntu3) quantal; urgency=low

  * Default to OpenJDK 7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Apr 2012 12:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: java-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages
@@ -41,6 +42,7 @@
 Depends: ${jhl}${jre:version}, java-common, ${misc:Depends}
 Suggests: default-jre
 Provides: ${jhl:provides}
+Replaces: openjdk-6-jre-headless (<< 6b23~pre11-1ubuntu1~)
 Description: Standard Java or Java compatible Runtime (headless)
  This package points to the Java runtime, or Java compatible
  runtime recommended for this architecture, which is

=== debian/rules ===
--- 
+++ 
@@ -27,18 +27,18 @@
 jvmdir		= java-gcj
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
-  p_jre		= openjdk-6-jre
-  p_jhl		= openjdk-6-jre-headless
-  p_jdk		= openjdk-6-jdk
+  p_jre		= openjdk-7-jre
+  p_jhl		= openjdk-7-jre-headless
+  p_jdk		= openjdk-7-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b23~pre11-1ubuntu1~)
+  v_jre		= $(S)(>= 7~u3-2.1)
   v_jdk		= $(v_jre)
-  provides	= java java2 java5 java6
-  dversion	= 1:1.6-$(jrel)
-  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  provides	= java java2 java5 java6 java7
+  dversion	= 1:1.7-$(jrel)
+  jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 endif
 
-p_doc		= openjdk-6-doc
+p_doc		= openjdk-7-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)

## java-common 0.43ubuntu4

=== debian/changelog ===
java-common (0.43ubuntu4) raring; urgency=low

  * Drop creation of java-6-openjdk and java-1.6.0-openjdk links in
    default-jre-headless as default is now OpenJDK 7 (LP: #1084954).

 -- James Page <james.page@ubuntu.com>  Fri, 30 Nov 2012 09:35:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)

=== debian/rules ===
--- 
+++ 
@@ -86,11 +86,6 @@
 	dh_installchangelogs -pdefault-jre-headless
 	dh_link -pdefault-jre-headless \
 		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
-ifneq (,$(DEB_HOST_MULTIARCH))
-	dh_link -pdefault-jre-headless \
-		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-6-openjdk \
-		usr/lib/jvm/$(jvmdir) usr/lib/jvm/java-1.6.0-openjdk
-endif
 	for p in default-jre-headless default-jre default-jdk gcj-native-helper; do \
 	  [ -z "$$t" ] && t=$$p && continue; \
 	  mkdir -p debian/$$p/usr/share/doc; \

## java-common 0.45

=== debian/changelog ===
java-common (0.45) unstable; urgency=low

  * Fixed FTBFS due to build depending on build-indep.

 -- Niels Thykier <niels@thykier.net>  Tue, 22 Nov 2011 07:55:59 +0100

java-common (0.44) unstable; urgency=low

  * Added build-arch target to d/rules.
  * Bumped Standards-Versions to 3.9.2 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 14:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
 
 Package: java-common
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages
@@ -43,7 +41,7 @@
 Depends: ${jhl}${jre:version}, java-common, ${misc:Depends}
 Suggests: default-jre
 Provides: ${jhl:provides}
-Replaces: openjdk-6-jre-headless (<< 6b23~pre11-1ubuntu1~)
+Replaces: openjdk-6-jre-headless (<< 6b23~pre8-2~)
 Description: Standard Java or Java compatible Runtime (headless)
  This package points to the Java runtime, or Java compatible
  runtime recommended for this architecture, which is

## java-common 0.46

=== debian/changelog ===
java-common (0.46) unstable; urgency=low

  * java-common: Mark it as Multi-Arch: foreign.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 10:57:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: java-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: default-jre, equivs
 Description: Base of all Java packages

## java-common 0.47

=== debian/changelog ===
java-common (0.47) unstable; urgency=low

  * Add creation and removal of /etc/.java (common to different OpenJDK
    versions) in java-common maintainer scripts. Closes: #660604.
  * Remove Michael from the uploaders list. Closes: #654029.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Feb 2012 15:19:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/

=== debian/rules ===
--- 
+++ 
@@ -27,22 +27,26 @@
 jvmdir		= java-gcj
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
-  p_jre		= openjdk-7-jre
-  p_jhl		= openjdk-7-jre-headless
-  p_jdk		= openjdk-7-jdk
+  p_jre		= openjdk-6-jre
+  p_jhl		= openjdk-6-jre-headless
+  p_jdk		= openjdk-6-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 7~u3-2.1)
+  v_jre		= $(S)(>= 6b23~pre8-2~)
   v_jdk		= $(v_jre)
-  provides	= java java2 java5 java6 java7
-  dversion	= 1:1.7-$(jrel)
-  jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  provides	= java java2 java5 java6
+  dversion	= 1:1.6-$(jrel)
+  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 endif
 
-p_doc		= openjdk-7-doc
+p_doc		= openjdk-6-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
 jdk_provides	= $(call mk_cslist,$(provides),sdk)
+
+build: build-arch
+build-arch:
+	# Do nothing :)
 
 build-indep: build-stamp
 build-stamp:
@@ -60,7 +64,7 @@
 	dh_clean
 
 install-indep: install-stamp
-install-stamp: build-stamp
+install-stamp: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep -i
@@ -71,7 +75,7 @@
 
 	touch install-stamp
 
-install-arch:
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep -a
@@ -137,4 +141,4 @@
 	dh_builddeb -i
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## java-common 0.47+deb7u2

=== debian/changelog ===
java-common (0.47+deb7u2) wheezy-security; urgency=high

  * Team upload.
  * Switch default Java environment from OpenJDK 6 to OpenJDK 7 in Wheezy LTS.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Jun 2016 20:40:32 +0200

java-common (0.47+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Make users aware of the upcoming default-java change.

 -- Markus Koschany <apo@debian.org>  Wed, 04 May 2016 14:53:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,18 +27,18 @@
 jvmdir		= java-gcj
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
-  p_jre		= openjdk-6-jre
-  p_jhl		= openjdk-6-jre-headless
-  p_jdk		= openjdk-6-jdk
+  p_jre		= openjdk-7-jre
+  p_jhl		= openjdk-7-jre-headless
+  p_jdk		= openjdk-7-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b23~pre8-2~)
+  v_jre		= $(S)(>= 7~u3-2.1.1)
   v_jdk		= $(v_jre)
-  provides	= java java2 java5 java6
-  dversion	= 1:1.6-$(jrel)
-  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  provides	= java java2 java5 java6 java7
+  dversion	= 1:1.7-$(jrel)
+  jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 endif
 
-p_doc		= openjdk-6-doc
+p_doc		= openjdk-7-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)

## java-common 0.48ubuntu2

=== debian/changelog ===
java-common (0.48ubuntu2) saucy; urgency=low

  * Bump the version to 1.7 on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 20:08:08 +0200

java-common (0.48ubuntu1) saucy; urgency=low

  * Default to openjdk-7 on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2013 13:53:21 +0200

java-common (0.48) experimental; urgency=low

  * Upload to experimental.
  * Replace java6 with java7 on architectures supporting
    openjdk-7.

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 14:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
+Uploaders: Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
+Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/java-common
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/java-common/
 
 Package: java-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk

## java-common 0.49

=== debian/changelog ===
java-common (0.49) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload.
  * Finalize the upload to switch to OpenJDK 7.
    See http://lists.debian.org/debian-devel-announce/2013/08/msg00000.html
  * Fix empty-binary-package on gcj-native-helper, default-jre & default-jdk
  * Remove local variables in the changelog
  * Update of the Debian Java FAQ (was starting to become obsolete)
  * Update of the Java policy:
    - Recommend default-jre & default-jre-headless for Java libraries
    - Create a section "Building Java packages"
      - Promote default-jdk
      - Advice to use javahelper
      - Recommend maven-debian-helper
    - Remove some deprecated references to java-runtime{1,2}
    - Minor improvements
    - State the license of the policy (Closes: #687841)

  [ tony mancill ]
  * Upload to unstable to make openjdk-7 the default on architectures
    where it is supported.
  * Bump Standards-Version to 3.9.4.
  * Update Vcs-Svn URL.

  [ Matthias Klose ]
  * Don't blindly update to OpenJDK7 on architectures where it is not
    supported or not even built.
  * Provide a /usr/share/java/java_defaults.mk makefile fragment for
    supported java architectures and versions.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2013 17:18:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,11 @@
 dversion	= 1:1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 armel armhf i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sh4))
+p_doc		= openjdk-7-doc
+
+include debian/java_defaults.mk
+
+ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk
@@ -36,9 +40,18 @@
   provides	= java java2 java5 java6 java7
   dversion	= 1:1.7-$(jrel)
   jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+else ifneq (,$(filter $(DEB_HOST_ARCH),$(java6_architectures)))
+  p_jre		= openjdk-6-jre
+  p_jhl		= openjdk-6-jre-headless
+  p_jdk		= openjdk-6-jdk
+  jdk_build_dep	= gcj-jdk
+  v_jre		= $(S)(>= 6b23~pre8-2~)
+  v_jdk		= $(v_jre)
+  provides	= java java2 java5 java6
+  dversion	= 1:1.6-$(jrel)
+  jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  p_doc		= openjdk-6-doc
 endif
-
-p_doc		= openjdk-7-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
@@ -122,6 +135,8 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_install -i
+	mkdir -p debian/java-common/usr/share/java
+	cp debian/java_defaults.mk debian/java-common/usr/share/java/.
 	mkdir -p debian/default-jdk-doc/usr/share/doc/default-jre-headless
 	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jre-headless/api
 	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jdk-doc/api

## java-common 0.51

=== Makefile ===
#!/usr/bin/make -f 

# Good info at: info make "Quick Reference"
# $^ All prerequisites
# $< First prerequisity
# $@ Target

# Some default variables
DOC = usr/share/doc
DVIPS=dvips
PUBLISHDIR=$(DESTDIR)/$(DOC)/java-common
#DSLF=work.dsl
#DSL=-d $(DSLF)
# Default language to use
LANGUAGE=
LANG=C
LC_CTYPE=C

all: debian-java-policy debian-java-faq-gen

# Policy part
MAKEOUT=policy.txt policy.ps
OUTPUTS=$(MAKEOUT) policy.xml
MAKEDEP=$(MAKEOUT) policy.html 

debian-java-policy: $(MAKEDEP)
update: debian-java-faq-update

policy.tex: policy.xml
	jw $(DCL) -b tex $(DSL) policy.xml

policy.dvi: policy.xml
	jw $(DCL) -b dvi $(DSL) policy.xml

policy.ps: policy.dvi
	$(DVIPS) -f $< > $@

policy.html: debian-java-policy/index.html

debian-java-policy/index.html: policy.xml
	# docbook and dsl file needs to be in that dir for things to work.
	# The png file is copied there so it can be referenced in a proper way.
	#
	# This is no longer true.
	mkdir -p debian-java-policy
	jw -b html $(DSL) -o debian-java-policy $<
	# To make that file the intdex.
	(cd debian-java-policy; rm -f $^)

policy.txt: policy.xml
	#jw -u $< > dump.html
	#lynx -force_html -dump dump.html > $@
	#-rm -f dump.html
	jw -b txt $(DSL) $<

install: debian-java-policy-install debian-java-faq-install dummy-install script-install

dummy-install:
	mkdir -p $(PUBLISHDIR)/dummy-packages
	cp dummy/README $(PUBLISHDIR)/dummy-packages
	cp dummy/*.control $(PUBLISHDIR)/dummy-packages

script-install:
	mkdir -p $(DESTDIR)/usr/sbin
	install -m 755 scripts/update-java-alternatives $(DESTDIR)/usr/sbin/
	mkdir -p $(DESTDIR)/usr/share/man/man8
	install -m 755 scripts/update-java-alternatives.8 $(DESTDIR)/usr/share/man/man8/

debian-java-policy-install:
	install -m 0444 $(OUTPUTS) $(PUBLISHDIR)
	cp -a debian-java-policy $(PUBLISHDIR)
	ln -s debian-java-policy $(PUBLISHDIR)/html

clean: debian-java-faq
	-rm -Rf debian-java-policy
	-rm -Rf policy.html
	-rm -f $(MAKEOUT)
	-rm -f policy.dvi
	(cd $<; make clean)

debian-java-faq-gen: debian-java-faq
	(cd $<; make debian-java-faq.html/index.html)

# Change the publish dir if you want to send it to a new package.
debian-java-faq-install: debian-java-faq debian-java-faq-gen
	(cd $<; make publish PUBLISHDIR=$(PUBLISHDIR))

debian-java-faq-update: debian-java-faq
	svn export svn://svn.debian.org/svn/ddp/manuals/trunk/java-faq/ faq-update/
	cp faq-update/* $</
	rm -fr faq-update/

=== debian-java-faq/Makefile ===
# Makefile for a manual in the Debian Documentation Project manuals.sgml
# tree.

# The directory in which this makefile resides must also contain a file
# called <directoryname>.sgml, which is the top-level file for the manual
# in this directory.

# What is the current manual's name
#MANUAL :=	$(shell basename $(shell pwd))
MANUAL :=	debian-java-faq
# Where are we publishing to?
#  (this can be overriden by a higher level makefile)
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

# What do we want by default?
all:		publish

# This target installs the generated HTML in the published directory.
publish:	$(MANUAL).html/index.html
# 		fail if there is no PUBLISHDIR
		[ -d $(PUBLISHDIR) ] || exit 1
		rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
		install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
		install -m 644 --preserve-timestamps $(MANUAL).html/*.html \
			$(PUBLISHDIR)/$(MANUAL)/

generate:	$(MANUAL).html/index.html

$(MANUAL).html/index.html:	$(wildcard *.sgml)
		debiandoc2html $(MANUAL).sgml

# ensure our SGML is valid
#   (add this to $(MANUAL).html rule to prevent building if not)
validate:
		nsgmls -gues $(MANUAL).sgml

clean:
		rm -rf $(MANUAL).html

distclean:	clean

.PHONY: all publish clean distclean validate

=== debian/changelog ===
java-common (0.51) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Fix some wrong version declarations

  [ Matthias Klose ]
  * Promote openjdk-7 as default-java on arm64, mips, mipsel, powerpcspe,
    ppc64el, x32.
  * Revert back to gcj on ia64. openjdk-7 fails to build, not porter feedback.
  * Revert back to gcj on s390. openjdk-7 fails to build, not a release
    architecture anymore.
  * Revert back to gcj on sparc and sparc64. Hotspot for sparc isn't
    maintained anymore upstream.  No porter feedback about a Zero port.
  * Revert back to gcj on kfreebsd-{i386,amd64}.  The port is not yet
    available upstream.  No feedback from the kfreebsd porters, and no
    updates for new upstream versions.
  * Bump the epoch on the default-{jre-headless,jre,jdk} packages.

 -- Niels Thykier <niels@thykier.net>  Sat, 01 Feb 2014 13:03:13 +0100

java-common (0.50) unstable; urgency=low

  * Remove the 'Libraries must depend on the needed runtime environment'
    from the policy. It was wrong and conflicting with lintian.
    (Closes: #730133)

  [ Damien Raude-Morvan ]
  * Promote openjdk-7 as default-java on kfreebsd-{i386,amd64}.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Nov 2013 14:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/java-common
+Standards-Version: 3.9.4
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/java-common/
 
 Package: java-common
@@ -33,7 +33,7 @@
  ${misc:Depends}
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
- This package points to the Java runtime, or Java compatible
+ This dependency package points to the Java runtime, or Java compatible
  runtime recommended for the ${jre:arch} architecture,
  which is ${jre} for ${jre:arch}.
 
@@ -57,7 +57,7 @@
  ${misc:Depends}
 Provides: ${jdk:provides}
 Description: Standard Java or Java compatible Development Kit
- This package points to the Java runtime, or Java compatible
+ This dependency package points to the Java runtime, or Java compatible
  development kit recommended for this architecture, which is
  ${jdk} for ${jre:arch}.
 
@@ -78,7 +78,7 @@
 Conflicts: default-jdk-builddep
 Replaces: default-jdk-builddep
 Description: Standard helper tools for creating gcj native packages
- This package points to the build dependencies used to build
+ This dependency package points to the build dependencies used to build
  gcj native packages.
  .
  Unlike default-jdk-builddep, this package only provides the

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 v_jre		=
 v_jdk		= $(v_jre)
 provides	= java java2 java5
-dversion	= 1:1.5-$(jrel)
+dversion	= 2:1.5-$(jrel)
 jvmdir		= java-gcj
 
 p_doc		= openjdk-7-doc
@@ -38,7 +38,7 @@
   v_jre		= $(S)(>= 7~u3-2.1.1)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6 java7
-  dversion	= 1:1.7-$(jrel)
+  dversion	= 2:1.7-$(jrel)
   jvmdir	= java-1.7.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
 else ifneq (,$(filter $(DEB_HOST_ARCH),$(java6_architectures)))
   p_jre		= openjdk-6-jre
@@ -48,7 +48,7 @@
   v_jre		= $(S)(>= 6b23~pre8-2~)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
-  dversion	= 1:1.6-$(jrel)
+  dversion	= 2:1.6-$(jrel)
   jvmdir	= java-1.6.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
   p_doc		= openjdk-6-doc
 endif

## java-common 0.52~bpo70+1

=== debian/changelog ===
java-common (0.52~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 31 Dec 2014 16:47:29 +0100

java-common (0.52) unstable; urgency=medium

  * Team upload.
  * Use OpenJDK 7 on mips64el (Closes: #747179)
  * Prepared the default values for Java 8
  * Use 'set -e' instead of '#!/bin/sh -e' in debian/java-common.postrm
  * Switch to debhelper level 9
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Use a canonical URL for the Vcs-Svn field
    - Added the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 May 2014 11:10:05 +0200

## java-common 0.52

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/java-common
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/java-common/
+Homepage: https://wiki.debian.org/Java/
 
 Package: java-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,18 @@
 
 include debian/java_defaults.mk
 
-ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
+ifneq (,$(filter $(DEB_HOST_ARCH),$(java8_architectures)))
+  p_jre         = openjdk-8-jre
+  p_jhl         = openjdk-8-jre-headless
+  p_jdk         = openjdk-8-jdk
+  jdk_build_dep = openjdk-7-jdk
+  v_jre         = $(S)(>= 8~b132-1)
+  v_jdk         = $(v_jre)
+  provides      = java java2 java5 java6 java7 java8
+  dversion      = 2:1.8-$(jrel)
+  jvmdir        = java-1.8.0-openjdk$(if $(DEB_HOST_MULTIARCH),-$(DEB_HOST_ARCH))
+  p_doc         = openjdk-8-doc
+else ifneq (,$(filter $(DEB_HOST_ARCH),$(java7_architectures)))
   p_jre		= openjdk-7-jre
   p_jhl		= openjdk-7-jre-headless
   p_jdk		= openjdk-7-jdk

## java-common 0.52+deb8u1

=== debian/changelog ===
java-common (0.52+deb8u1) jessie; urgency=medium

  * Switch to Java 8 as default, Java 7 is no longer supported
    in jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Jul 2022 12:58:23 +0200

## java-common 0.52+deb8u2

=== debian/changelog ===
java-common (0.52+deb8u2) jessie-lts; urgency=medium

  * Non-maintainer upload by the ELTS Team
  * Fix java7_architectures to include java8_architectures in java_defaults.mk
  * Add debian/salsa-ci.yml using lts-team/pipeline for jessie
  * Add debian/tests/supported-architectures

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 21 Sep 2023 18:47:08 -0300

=== debian/tests/control ===
Tests: supported-architectures
Depends: @, build-essential

## java-common 0.52.1

=== debian/changelog ===
java-common (0.52.1) unstable; urgency=medium

  * Team upload.
  * Bump kfreebsd-amd64 kfreebsd-i386 to 1.7 again.
  * java_defaults.mk: Add jvm_archdir and jvm_archpath macros.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 09:40:26 +0200
